% computeGaussian : compute zero mean Gaussian function w/ specified covariance
%
% function y = computeGaussian(x,C)
%
% Inputs : 
% x - d x N array of vector inputs
% C - d x d covariance matrix
%
% Outputs :
% y - length N array of Gaussian function values
function y = computeGaussian(x,C)
d=size(x,1);
quadform = sum( (inv(C)*x).*x );
y = 1/((2*pi)^(d/2) * sqrt(det(C)))*exp(-.5*quadform);
