% extractBlockDiag : return sub-block of covariance matrix for b'th band
%
% function m = extractBlockDiag(M,K,b)
%
% Inputs:
% M - full 'joint' covariance matrix containing all cross-band terms
% K - generalized patch descriptor
% b - desired band
%
% Outputs:
% m - 'separate' covariance matrix containing only terms for b'th band

function m = extractBlockDiag(M,K,b)
pd_c = (2*K.child(1)+1)*(2*K.child(2)+1);
if K.useparent
  pd_p = (2*K.parent(1)+1)*(2*K.parent(2)+1);
else
  pd_p = 0;
end
bindpos = [(1:pd_c)+pd_c*(b-1),pd_c*K.nbands+(1:pd_p)+pd_p*(b-1)];

if iscell(M)
  m=cell(size(M));
  for k=1:numel(M)
     m{k}=M{k}(bindpos,bindpos);
  end
else
  m=M(bindpos,bindpos);
end

 
