% getBandFromFullBand : Retrieve a single band from fullband data structure
%
% fb = getBandFromFullBand(fullBand,b)
%
% Retrieve a single band (with parent) from a fullband data structure
%
% Inputs:
% "fullband" - pyramid level in fullband data structure
% "b" - band to be retrieved
%
% Outputs: 
% "fb" will have fields fb.child and, if fullband.parent exists, also
% fb.parent. These will contain the child and parent for the b'th
% orientation only. 
%
% See also fullPyrBand
function fb = getBandFromFullBand(fullBand,b)
fb.child = fullBand.child(:,:,b);
if isfield(fullBand,'parent')
  fb.parent=fullBand.parent(:,:,b);
end
