%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% scalar_rotate
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% perform scalar rotation (ie, simple local coordinate rotation and
% resampling, without 'transformation')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function patches=scalarRotate(X_big,Y_big,big_band_e,XI,YI,H,loriplustheta,...
                               rotmask,upfactor,pfactor);
[rp,tp]=polarmeshgrid(H);
rp=rp*pfactor; % this should be 1 for child, 2 for parent.

Npatches=sum(rotmask(:));
patches = zeros(2*H(1)+1,2*H(2)+1,Npatches);

for m=1:2*H(1)+1
  for n=1:2*H(2)+1
    XIp=XI(rotmask(:))+rp(m,n)*cos(loriplustheta(rotmask(:))+tp(m,n));
    YIp=YI(rotmask(:))+rp(m,n)*sin(loriplustheta(rotmask(:))+tp(m,n));
    XIp_big = (XIp-1)*upfactor+1;
    YIp_big = (YIp-1)*upfactor+1;
    patches(m,n,:)=interp2(X_big,Y_big,big_band_e,XIp_big,YIp_big,'*linear');
  end
end